Cirqll Core
Home
Cirqll
Home
Cirqll
  1. Task
  • Getting Started
  • Translations
  • Documentation
    • Field Values
    • Rate Limiting
    • Zapier
      • Triggers
      • Actions
    • Query Parameters
      • Eager Loading
      • Partial Data
      • Count Relations
      • Filter
      • Order By
      • Pagination
    • OAuth2
      • Token
        • Create
        • Refresh
      • Scopes
      • Authorize
  • User
    • Me
      GET
    • Index
      GET
    • Show
      GET
    • Create
      POST
    • Update
      PATCH
    • Delete
      DELETE
  • Role
    • Index
      GET
    • Show
      GET
    • Create
      POST
    • Update
      PATCH
    • Delete
      DELETE
  • Customer
    • Index
      GET
    • Show
      GET
    • Create
      POST
    • Update
      PATCH
    • Delete
      DELETE
  • Contact
    • Index
    • Show
    • Create
    • Update
    • Delete
  • Task
    • Index
      GET
    • Show
      GET
    • Create
      POST
    • Update
      PATCH
    • Delete
      DELETE
  • Appointment
    • Index
    • Show
    • Create
    • Update
    • Delete
  • Financial
    • Chance
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Assignment
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Contract
      • Index
      • Show
      • Create
      • Update
      • Delete
  • Email
    • Index
    • Show
    • Create
    • Update
    • Delete
  • Field
    • Index
    • Show
    • Create
    • Update
    • Delete
  • Note
    • Index
    • Show
    • Create
    • Update
    • Delete
  • Todo
    • Index
    • Show
    • Create
    • Update
    • Delete
  • Template
    • Index
    • Show
    • Create
    • Update
    • Delete
  • Setting
    • Index
    • Update
  • Webhook
    • Index
    • Show
    • Create
    • Update
    • Delete
  • Schemas
    • Schemas
      • ActivityLog
        • ActivityLogResponse
        • ActivityLogRequestStore
        • ActivityLogRequestUpdate
      • Address
        • AddressResponse
        • AddressRequestStore
        • AddressRequestUpdate
      • Appointment
        • AppointmentResponse
        • AppointmentRequestStore
        • AppointmentRequestUpdate
      • Assignment
        • AssignmentResponse
        • AssignmentRequestStore
        • AssignmentRequestUpdate
      • Chance
        • ChanceResponse
        • ChanceRequestStore
        • ChanceRequestUpdate
      • Client
        • ClientResponse
        • ClientRequestStore
        • ClientRequestUpdate
      • Company
        • CompanyResponse
        • CompanyRequestStore
        • CompanyRequestUpdate
      • Contact
        • ContactResponse
        • ContactRequestStore
        • ContactRequestUpdate
      • Contract
        • ContractResponse
        • ContractRequestStore
        • ContractRequestUpdate
      • Customer
        • CustomerResponse
        • CustomerRequestStore
        • CustomerRequestUpdate
      • Email
        • EmailResponse
        • EmailRequestStore
        • EmailRequestUpdate
      • Field
        • FieldResponse
        • FieldRequestStore
        • FieldRequestUpdate
      • FieldOption
        • FieldOptionResponse
        • FieldOptionRequestStore
        • FieldOptionRequestUpdate
      • FieldValue
        • FieldValueResponse
        • FieldValueRequestStore
        • FieldValueRequestUpdate
      • Media
        • MediaResponse
        • MediaRequestStore
        • MediaRequestUpdate
      • Note
        • NoteResponse
        • NoteRequestStore
        • NoteRequestUpdate
      • Origin
        • OriginResponse
        • OriginRequestStore
        • OriginRequestUpdate
      • Permission
        • PermissionsResponse
        • PermissionsRequestStore
        • PermissionsRequestUpdate
      • Role
        • RoleResponse
        • RoleRequestStore
        • RoleRequestUpdate
      • Scope
        • ScopeResponse
        • ScopeRequestStore
        • ScopeRequestUpdate
      • Settings
        • SettingsResponse
        • SettingsRequestStore
        • SettingsRequestUpdate
      • Subtask
        • SubtaskRequestUpdate
        • SubtaskRequestStore
        • SubtaskResponse
      • Task
        • TaskResponse
        • TaskRequestStore
        • TaskRequestUpdate
      • Template
        • TemplateResponse
        • TemplateRequestStore
        • TemplateRequestUpdate
      • TemplateItem
        • TemplateItemResponse
        • TemplateItemRequestStore
        • TemplateItemRequestUpdate
      • Todo
        • TodoResponse
        • TodoRequestStore
        • TodoRequestUpdate
      • User
        • UserResponse
        • UserRequestStore
        • UserRequestUpdate
      • Webhook
        • WebhookResponse
        • WebhookRequestStore
        • WebhookRequestUpdate
    • Structure
      • Pagination
      • Exception
  1. Task

Show

GET
https://api.cirqll.nl/api/task/{id}
Last modified:2026-03-21 18:53:26
Retrieve a single task by its unique ID, including subtasks and custom field values.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.cirqll.nl/api/task/1' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "id": 1,
    "user_id": 0,
    "customer_id": 0,
    "name": "string",
    "description": "string",
    "date": "2019-08-24T14:15:22.123Z",
    "archived_at": "2019-08-24T14:15:22.123Z",
    "created_at": "2019-08-24T14:15:22.123Z",
    "updated_at": "2019-08-24T14:15:22.123Z",
    "task_blueprint_id": 0
}
🟠404Record Not Found
🟠401Not Logged In
🔴500Server Error
Modified at 2026-03-21 18:53:26
Previous
Index
Next
Create
Built with